curl --request POST \
--url https://api.snappy.com/public-api/v2/recipients \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"birthday": "2022-12-06T00:00:00.000Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"emailOverride": "john.doe.override@example.com",
"mobilePhone": "+1234567890",
"country": "US",
"accounts": [
"a12bcd34",
"a56bcd78"
],
"recipientCustomFields": [
{
"fieldName": "petName",
"displayName": "petName",
"fieldValue": "Wesley"
}
],
"type": "employee",
"employee": {
"workingSince": "2022-12-06T00:00:00.000Z",
"department": "R&D"
}
}
'{
"id": "xyz12345",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"country": "US",
"accounts": [
"a12bcd34",
"a56bcd78"
],
"type": "employee",
"updatedBy": "abc12345",
"source": {
"type": "apiIntegration"
}
}Use this API to create a new recipient.
recipients:createcurl --request POST \
--url https://api.snappy.com/public-api/v2/recipients \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"birthday": "2022-12-06T00:00:00.000Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"emailOverride": "john.doe.override@example.com",
"mobilePhone": "+1234567890",
"country": "US",
"accounts": [
"a12bcd34",
"a56bcd78"
],
"recipientCustomFields": [
{
"fieldName": "petName",
"displayName": "petName",
"fieldValue": "Wesley"
}
],
"type": "employee",
"employee": {
"workingSince": "2022-12-06T00:00:00.000Z",
"department": "R&D"
}
}
'{
"id": "xyz12345",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"country": "US",
"accounts": [
"a12bcd34",
"a56bcd78"
],
"type": "employee",
"updatedBy": "abc12345",
"source": {
"type": "apiIntegration"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Create recipient request body.
the first name of the recipient
"John"
Country code
^[A-Za-z]+$"US"
Date Format: YYYY-MM-DD.
"2022-12-06T00:00:00.000Z"
the last name of the recipient
"Doe"
the email of the recipient, should be a valid email
"john.doe@example.com"
The sendingEmail of the recipient in the db, used to override the existing email.
"john.doe.override@example.com"
Mobile phone number
^$|^[0-9 \-+().]{3,7}[0-9 \-+().]{3,7}[0-9]{3,7}$"+1234567890"
The custom fields of the recipient.
Show child attributes
The type of employee.
employee "employee"
The employee info object.
Show child attributes
{
"workingSince": "2022-01-15T00:00:00.000Z",
"department": "Engineering"
}An external id used by the customer to track their recipients
"1234567890"
The person in charge of the recipient's gifting.
Show child attributes
{
"firstName": "Jane",
"lastName": "Doe",
"email": "jane.doe@example.com"
}Recipient created successfully
Created recipient.
The id of the recipient.
"xyz12345"
Date Format: YYYY-MM-DDThh:mm:ss.sZ.
"2022-12-06T09:50:38.536Z"
Date Format: YYYY-MM-DDThh:mm:ss.sZ.
"2022-12-06T09:50:38.536Z"
the first name of the recipient
"John"
Country code
^[A-Za-z]+$"US"
The accounts ids that the recipient is associated with
1["a12bcd34", "a56bcd78"]The type of employee.
employee "employee"
The id of the user who last updated the recipient.
"abc12345"
The data source of the recipient.
Show child attributes
{ "type": "apiIntegration" }Date Format: YYYY-MM-DD.
"2022-12-06T00:00:00.000Z"
the last name of the recipient
"Doe"
the email of the recipient, should be a valid email
"john.doe@example.com"
The sendingEmail of the recipient in the db, used to override the existing email.
"john.doe.override@example.com"
Mobile phone number
^$|^[0-9 \-+().]{3,7}[0-9 \-+().]{3,7}[0-9]{3,7}$"+1234567890"
An external id used by the customer to track their recipients
"1234567890"
The custom fields of the recipient.
Show child attributes
The employee info object.
Show child attributes
{
"workingSince": "2022-01-15T00:00:00.000Z",
"department": "Engineering"
}The person in charge of the recipient's gifting.
Show child attributes
{
"firstName": "Jane",
"lastName": "Doe",
"email": "jane.doe@example.com"
}Was this page helpful?